Package org.apache.groovy.swing.binding

# Class PropertyChangeProxyTargetBinding

java.lang.Object
org.apache.groovy.swing.binding.PropertyChangeProxyTargetBinding

All Implemented Interfaces:
  `TargetBinding`

public class PropertyChangeProxyTargetBinding extends Object implements TargetBinding

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PropertyChangeProxyTargetBinding(Object proxyObject, String propertyName, PropertyChangeListener listener)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `updateTargetValue(Object value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PropertyChangeProxyTargetBinding

    public PropertyChangeProxyTargetBinding(Object proxyObject, String propertyName, PropertyChangeListener listener)

- ## Method Details

  - ### updateTargetValue

    public void updateTargetValue(Object value)
    Specified by:
      `updateTargetValue` in interface `TargetBinding`